const express = require("express");
const compression = require("compression");
const app = express();
const Docker = require("dockerode");
const docker1 = new Docker();
const ws = require("express-ws")(app);

app.use(compression());
app.use(express.json());

app.get("/", (_, res) => {
  res.send("Merhaba Dünya!");
});

app.get("/images", (_, res) => {
  docker1.listImages(function (_, images) {
    res.send(
      images.filter(
        (i) =>
          i.RepoTags[0].startsWith("nyxteam/oyunparki-small") ||
          i.RepoTags[0].startsWith("nyxteam/oyunparki-full")
      ).length !== 0
    );
  });
});

require("./socket")(app);

app.listen(3000);
